<!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title>Empty Query</title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php

	// definitionen 
	const _ERROR_TEXT_1 		= '<br>Fehler im SQL-Script, execution durch trigger_error stopped<br><b>sql: ';
	const _ERROR_TEXT_1A 		= '</b><br> <span style="color:red">ERROR:';
	const _ERROR_TEXT_1B 		= '</span>';
	
	const TAB_border 			= 3;
	const TAB_cellpadding 		= 2;
	const TAB_cellspacing 		= 0;
	const TAB_Color		 		= 'lightgrey';
	const Komma 				= ',';
	const Trenn1000 			= '.';

	$tab = '<table border="'.TAB_border.'" cellpadding="'.TAB_cellpadding.'" cellspacing="'.TAB_cellspacing.'" style="BACKGROUND-COLOR:'.TAB_Color.'">';
	$tabClose = '</table><p>';
	const showSQL = 1;

	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', 'ErsteDatenbank' );

	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	// Bei Umlauten ist der korrekte Zeichensatz dringend notwendig!
	$sql_r = $conn->query("SET NAMES 'utf8'");
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		
	// die eigentliche Queries
	$sql  = "SELECT * FROM LADEN";
		 
	$sql_r = $conn->query($sql); 
	// Abfrage auf einen Fehler - und wenn wird das Script beendet und der Fehler mitgeteilt	
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	// Das SQL-Statement kann auch ausgegeben werden	
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);
	
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();

// Funktion zum Ausgeben in Tabellenform	
function printTable ($sql_r,$tab,$tabClose)
{
	// diese Funktion gibt das Resultat einer Abfrage in einer HTML-Tablle aus, einschließlich der Header-Zeile, die aus dem Ergebnis gewonnen wird
	for ($h=0,$header=1;$sql_row = $sql_r->fetch_array(MYSQLI_BOTH);$header = 0) {
		if ($header) 
		{
			// Titel-Zeile erzeugen
			$headCnt = sizeof($sql_row)/2; // das Ergebnis ist aus NUM und ASSOC zusammengesetzt
			echo $tab.'<tr>';
			foreach ($sql_row as $key => $value) { 
				if (!($h++ % 2))
					continue;
				echo '<th>'.htmlentities($key, ENT_QUOTES, 'UTF-8').'</th>'; 
			}  
			echo '</tr>';			
		}
		echo '<tr>';
		for ($i=0;$i <  $headCnt;$i++)
		{
				// die Ergebniszeilen ausgeben
				if ( is_numeric($sql_row[$i]) )
					if ( strpos((string)$sql_row[$i],'.') ) // MySQL liefert floats mit . als Komma
						echo '<td align=right>'.number_format ($sql_row[$i] , 2 , Komma , Trenn1000 ).'</td>';
					else
						echo '<td align=right>'.number_format ($sql_row[$i] , 0 , Komma , Trenn1000 ).'</td>';
				else
					echo '<td>'.htmlentities ($sql_row[$i], ENT_QUOTES, 'UTF-8').'</td>';
		}
		echo '</tr>';

	}
	if ($header) echo $tab.'<tr><th>No record found</th></tr>';
	echo $tabClose.'<p>';		
}

// wenn zur besseren Darstellung der SQL's, diese eingerückt werden sollen
function ws2html ($t)	
{
	return nl2br(tab2nbsp($t));
}

function tab2nbsp($t)
{
	return str_replace("\t", '&nbsp;&nbsp;&nbsp;&nbsp;', $t); 
}

?>

 </body>
</html>